<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
           elementFormDefault="qualified"
           xmlns="http://www.h3c.com/netconf/config:1.0"
           xmlns:base="http://www.h3c.com/netconf/base:1.0"
           xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>
  <xs:complexType name="VRFType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value="31"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="IpAddressType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:enumeration value="0"/>
        <xs:enumeration value="1"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="RadiusHostIpType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value="0"></xs:minInclusive>
        <xs:maxInclusive value="2"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PortType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value="1"/>
        <xs:maxInclusive value="65535"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="KeyType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value ="64"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="RadiusSchemeNameType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value="32"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="ProfileNameType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value="31"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PriorityType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value="0"/>
        <xs:maxInclusive value="1"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:element name="Radius">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="Trap" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="AuthErrThreshold"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value ="100"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Switchs" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="AuthServerDown" type="base:Boolean" minOccurs="0" maxOccurs="1" nillable="true"></xs:element>
                    <xs:element name="AuthServerUp" type="base:Boolean" minOccurs="0" maxOccurs="1" nillable="true"></xs:element>
                    <xs:element name="AcctServerDown" type="base:Boolean" minOccurs="0" maxOccurs="1" nillable="true"></xs:element>
                    <xs:element name="AcctServerUp" type="base:Boolean" minOccurs="0" maxOccurs="1" nillable="true"></xs:element>
                    <xs:element name="AuthErrReachThreshold" type="base:Boolean" minOccurs="0" maxOccurs="1" nillable="true"></xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup">
            </xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Dscp" minOccurs="0">
          <xs:complexType>
            <xs:all>
              <xs:element name="Ipv4"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="0"></xs:minInclusive>
                      <xs:maxInclusive value ="63"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Ipv6"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="0"></xs:minInclusive>
                      <xs:maxInclusive value ="63"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup">
            </xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Client" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="GlobalNasIps" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="GlobalNasIp" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpType" type="IpAddressType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpAddress" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup">
                        </xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup">
                  </xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="ServerTestProfiles" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="ServerTestProfile" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="ProfileName" type="ProfileNameType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="UserName"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="253"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Interval" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="3600"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="Schemes" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="Scheme" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="SchemeName" type="RadiusSchemeNameType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="TimeUnitage"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="1"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RealAcctInterval"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="71582"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="TimeOut" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="10"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="QuietTime" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="255"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PktRetryTimes" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="20"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RealAcctRetryTimes" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="255"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="UserNameFormat" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="2"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="BytesUnit" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="3"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PacketsUint" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="3"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="NasIpv4Address" type="base:Ipv4Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="NasIpv6Address" type="base:Ipv6Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="AuthenKey" type="KeyType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="AcctKey" type="KeyType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="ClassType" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="1"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="AcctOnEnable" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="AcctOnSendInterval" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="15"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="AcctOnSendTimes" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="255"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup">
                        </xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup">
                  </xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="AuthServers" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="AuthServer" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="SchemeName" type="RadiusSchemeNameType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Priority" type="PriorityType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpType" type="RadiusHostIpType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Host" type="base:OctectString" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Port" type="PortType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Key" type="KeyType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="SvrTestProfileName" type="ProfileNameType" minOccurs="0" nillable="true"></xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup">
                  </xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="AcctServers" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="AcctServer" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="SchemeName" type="RadiusSchemeNameType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Priority" type="PriorityType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpType" type="RadiusHostIpType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Host" type="base:OctectString" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Port" type="PortType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Key" type="KeyType" minOccurs="0" nillable="true">
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup">
                        </xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup">
                  </xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup">
            </xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Server">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="SessCtrlService" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="Status" type="base:Boolean" minOccurs="0" maxOccurs="1" nillable="true"></xs:element>
                    <xs:element name="Port" type="PortType" minOccurs="0" nillable="true">
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup">
                  </xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="SessCtrlClients" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="SessCtrlClient" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpType" type="IpAddressType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpAddress" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Key" type="KeyType" minOccurs="0" nillable="true"></xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup">
                        </xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup">
                  </xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="DaeService" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="Status" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                    <xs:element name="Port" type="PortType" minOccurs="0" nillable="true"></xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="DaeClients" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="DaeClient" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpType" type="IpAddressType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IpAddress" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Key" type="KeyType" minOccurs="0" nillable="true"></xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>